{% extends "base_dashboard.html" %}
{% load i18n staticfiles %}
{% load common_tags %}
{% block title %}{% blocktrans with title=investation.teaser.title %}Isi Ulang (Top Up) pada "{{ title }}"{% endblocktrans %} :: {{ block.super }}{% endblock %}

{% block css %}
  <style>.uk-tab::before{left: 0}</style>
{% endblock %}

{% block breadcrumb %}
  <ul class="uk-breadcrumb uk-breadcrumb-dashboard">
    <li><a class="spf-link" href="/">{% trans "Beranda" %}</a></li>
    <li><a class="spf-link" href="{% url 'user_dashboard' %}">{% trans "Dashboard" %}</a></li>
    <li><a class="spf-link" href="{% url 'investation_list' %}">{% trans "Investasiku" %}</a></li>
    <li><span>{% blocktrans with title=investation.teaser.title %}Isi Ulang (Top Up) pada "{{ title }}"{% endblocktrans %}</span></li>
  </ul>
{% endblock %}

{% block content %}
  <div class="uk-card uk-card-default uk-card-hover">
    <ul uk-switcher="connect: #ul-content-top-up; animation: uk-animation-fade"
      class="uk-tab no-padding uk-child-width-expand@s uk-background-default uk-margin-remove" uk-tab>
      <li class="active uk-padding-remove-left">
        <a class="">{% trans "Ajukan Isi Ulang" %}</a>
      </li>
      <li class="my-top-up">
        <a class="">
          {% if top_ups_unpaid.count > 0 %}
            <span class="uk-badge uk-background-warning" style="height: 20px">
              {{ top_ups_unpaid.count }}
            </span>
          {% endif %}
          {% trans "Isi Ulang Saya" %}
        </a>
      </li>
    </ul>
    <div class="uk-card-body">
      <ul id="ul-content-top-up" class="uk-switcher uk-margin">
        <li class="tab-item">
          <div class="content-1">
            <div class="uk-card">
              <div class="uk-card-body uk-padding-remove">
                <h3 class="uk-card-title">
                  <a href="{% url 'app_plaza:teaser_detail' slug=investation.teaser.slug %}" class="spf-link">{{ investation.teaser.title }}</a>
                </h3>
                <p>{{ investation.teaser.description|safe|striptags|truncatewords:"35" }}</p>

                <div class="uk-grid-divider uk-child-width-expand@s" uk-grid>
                  <div class="left-content">
                    <table class="uk-table uk-table-small">
                      <tbody>
                        <tr>
                          <th>{% trans "Status Investasi" %}</th>
                          <td>
                            {% if investation.status == 'approved' %}
                              <span class="uk-label uk-label-success">{% trans "Lunas" %}</span>
                            {% elif investation.status == 'rejected' %}
                              <span class="uk-label uk-label-danger">{% trans "Pembayaran Ditolak" %}</span>
                            {% else %}
                              <span class="uk-label uk-label-warning">{% trans "Belum Dibayar" %}</span>
                            {% endif %}
                          </td>
                        </tr>
                        <tr>
                          <th>{% trans "Jumlah Investasi" %}</th>
                          <td>{{ investation.amount|as_rupiah }},-</td>
                        </tr>
                        <tr>
                          <th>{% trans "Tanggal Investasi" %}</th>
                          <td>{{ investation.created }}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="right-content">
                    <table class="uk-table uk-table-small">
                      <tbody>
                        <tr>
                          <th>{% trans "Nomor &amp; ID" %}</th>
                          <td><strong>{{ investation.teaser.number }} :: {{ investation.teaser.id }}</strong></td>
                        </tr>
                        <tr>
                          <th>{% trans "Proyeksi Imbal hasil pertahun " %}</th>
                          <td><strong>{{ investation.teaser.percentage_of_return }}%</strong></td>
                        </tr>
                        <tr>
                          <th>{% trans "Pembayaran setiap" %}</th>
                          <td><strong>{{ investation.teaser.get_payment_schedule_display }}</strong></td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div><!-- end /.ui-grid-divider -->
              </div>

              <div class="uk-card-footer">
                <form class="uk-form" method="post" action=".">{% csrf_token %}
                  {% if form.non_field_errors %}
                    {% if form.non_field_errors|length > 1 %}
                      <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                        {% for error in form.non_field_errors %}
                          <li class="uk-text-warning">{{ error }}</li>
                        {% endfor %}
                      </ol>
                    {% else %}
                      <div class="uk-text-small uk-text-warning">
                        {{ form.non_field_errors|first }}
                      </div>
                    {% endif %}
                  {% endif %}

                  <div class="uk-margin">
                    <label class="uk-form-label" for="form-title">
                      {{ form.amount.label }} <i class="uk-text-danger">*</i>
                    </label>
                    <div class="uk-form-controls">
                      <div class="form-amount" uk-form-custom>
                        {{ form.amount }}
                        {% if form.amount.errors %}
                          {% if form.amount.errors|length > 1 %}
                            <ol class="uk-text-small uk-padding-small uk-margin-remove uk-text-left">
                              {% for error in form.amount.errors %}
                                <li class="uk-text-warning">{{ error }}</li>
                              {% endfor %}
                            </ol>
                          {% else %}
                            <div class="uk-text-small uk-text-left uk-text-warning">
                              {{ form.amount.errors|first }}
                            </div>
                          {% endif %}
                        {% endif %}
                      </div>
                      <button type="submit" class="uk-button uk-button-warning">
                        <span uk-icon="paint-bucket"></span> {% trans "Ajukan Isi Ulang" %}
                      </button>
                      <a href="{% url 'app_plaza:report_detail' slug=investation.teaser.slug %}"
                        class="uk-button uk-align-right uk-button-primary spf-link">{% trans "Lihat Laporan Keuangan" %}</a>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </li>
        <li class="tab-item">
          <div class="content-2">
            <div class="uk-card">
              <div class="uk-card-body uk-padding-remove">
                <div class="uk-overflow-auto">
                  <table class="uk-table uk-table-middle uk-table-striped">
                    <thead>
                      <tr>
                        <th>{% trans "Jumlah" %}</th>
                        <th>{% trans "Dibuat pada" %}</th>
                        <th>{% trans "Status Top Up" %}</th>
                        <th>{% trans "Tindakan" %}</th>
                      </tr>
                    </thead>
                    <tbody>
                      {% for top_up in top_ups %}
                        <tr>
                          <td><strong>{{ top_up.amount|as_rupiah }},-</strong></td>
                          <td>{{ top_up.created }}</td>
                          <td>
                            {% if top_up.status == 'approved' %}
                              <span class="uk-label uk-label-success">{% trans "Lunas" %}</span>
                            {% elif top_up.status == 'rejected' %}
                              <span class="uk-label uk-label-danger">{% trans "Pembayaran Ditolak" %}</span>
                            {% else %}
                              <span class="uk-label uk-label-warning">{% trans "Belum Dibayar" %}</span>
                            {% endif %}
                          </td>
                          <td>
                            {% if not top_up.status == 'approved' %}
                              <a data-target="{% url 'app_plaza:investation_top_up_delete' pk=top_up.pk %}" class="uk-text-small remove-top-up">{% trans "Batalkan" %}</a>
                              <a href="{% url 'app_plaza:investation_top_up_payment' pk=top_up.pk %}" class="uk-button uk-button-danger uk-button-small">{% trans "Bayar" %}</a>
                            {% else %}
                              <span>{% trans "tidak ada" %}</span>
                            {% endif %}
                        </tr>
                      {% empty %}
                        <tr>
                          <td colspan="4"><span uk-icon="info"></span> {% trans "Anda belum memiliki isi ulang." %}</td>
                        </tr>
                      {% endfor %}
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
          </div>
        </li>
      </ul>
    </div>
  </div>
{% endblock %}

{% block js %}
  <script>
    {% if request.GET.tab == 'my-top-up' %}
      $('.my-top-up').trigger('click');
    {% endif %}

    // active dashboard menu
    $('.list-invest-me').addClass('uk-active');

    // remove top-up
    $('.remove-top-up').click(function(){
      if(confirm('{% trans "Apakah anda yakin akan membatalkan isi ulang ini?" %}')){
        var button = $(this);
        $.ajax({
          type: 'GET',
          url: button.data('target'),
          success: function(res){
            button.closest('tr').remove();
          }
        });
      }else {
        return false;
      }
    });
  </script>
{% endblock %}
